%define	module	HTML-Parser

Summary: 	Perl module to parse HTML documents
Name: 		perl-%{module}
Version: 	3.56
Release: 	%mkrel 1
License: 	GPL or Artistic
Group: 		Development/Perl
URL: 		http://search.cpan.org/dist/%{module}/
Source: 	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/%{module}-%{version}.tar.bz2
Requires: 	perl-HTML-Tagset >= 3.03
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-Tagset
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep

%setup -q -n %{module}-%{version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changes
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*


%changelog
* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 3.56-1mdv2007.0
+ Revision: 132943
- 3.56

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 3.55-1mdv2007.1
+ Revision: 95139
- 3.55

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - Import perl-HTML-Parser



* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.54-1mdv2007.0
- New release 3.54
- spec cleanup

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.51-1mdk
- 3.51

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.50-1mdk
- 3.50

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.49-1mdk
- 3.49

* Tue Dec 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.48-1mdk
- 3.48

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.47-1mdk
- 3.47

* Wed Oct 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.46-1mdk
- 3.46

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.45-1mdk
- 3.45

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.44-1mdk
- 3.44

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.43-1mdk
- 3.43

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.38-1mdk
- 3.38

* Mon Apr 19 2004 Stefan van der Eijk <stefan@eijk.nu> 3.36-1mdk
- 3.36

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.35-2mdk
- Own dir

* Sun Jan 11 2004 Stefan van der Eijk <stefan@eijk.nu> 3.35-1mdk
- 3.35

* Thu Nov 06 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.34-1mdk
- 3.34
- cosmetics

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 3.31-1mdk
- 3.31.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.28-4mdk
- rebuild for new perl
- drop Prefix tag
- drop Distribution tag
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Fri Jun 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.28-3mdk
- do not wait a reply from term for automate rebuild

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.28-2mdk
- rebuild for new perl provides/requires

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 3.28-1mdk
- 3.28.

* Fri Jan 24 2003 Franois Pons <fpons@mandrakesoft.com> 3.27-1mdk
- 3.27.

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 3.26-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 3.26-2mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 3.26-1mdk
- 3.26.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 3.25-3mdk
- build release.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 3.25-2mdk
- BuildRequires: perl-devel perl-HTML-Tagset

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 3.25-1mdk
- 3.25.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.18-3mdk
- Fixed distribution tag.
- Updated Requires.
- Added an option to %makeinstall.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 3.18-1mdk
- 3.18.

* Tue Jan 30 2001 Franois Pons <fpons@mandrakesoft.com> 3.15-1mdk
- 3.15.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 3.14-1mdk
- 3.14.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 3.13-1mdk
- 3.13.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 3.11-1mdk
- 3.11.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.10-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 3.10-1mdk
- removed perllocal.pod from files.
- 3.10.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.08-1mdk
- update to 3.08

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
